Name:           w_scan
Version:        20110206
Release:        1%{?dist}
Summary:        Tool for scanning DVB transponders

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://wirbel.htpc-forum.de/w_scan/index2.html
Source0:        http://wirbel.htpc-forum.de/%{name}/%{name}-%{version}.tar.bz2
# remove unused v4l1 header to fix a compiler error when using newer kernels
# will be upstream in next version
Patch0:         w_scan-v4l1-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The w_scan tool is similar to dvbscan from dvb-apps. However it does not 
require initial tuning data and thus is able to find more channels.


%prep
%setup -q
%patch0 -p1
iconv -f iso-8859-1 -t utf-8 doc/w_scan.1 > doc/w_scan.1.utf-8
touch -r doc/w_scan.1 doc/w_scan.1.utf-8
mv doc/w_scan.1.utf-8 doc/w_scan.1

chmod 644 doc/*
chmod 644 *.c *.h ChangeLog


%build
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 pci.classes $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 pci.ids $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 usb.classes $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 usb.ids $RPM_BUILD_ROOT%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%doc doc/README.file_formats doc/rotor.conf
%{_bindir}/%{name}
%{_bindir}/%{name}_start.sh
%{_datadir}/%{name}
%{_datadir}/man/man?/%{name}*


%changelog
* Tue Feb 08 2011 Felix Kaechele <heffer@fedoraproject.org> - 20110206-1
- various bugfixes

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Felix Kaechele <heffer@fedoraproject.org> - 20101001-1
- additional DVB-C symbol rates 6956 and 6956.5 for New Zealand
- mplayer output format as suggested Pedro A. Aranda
- cosmetics

* Thu Jun 03 2010 Felix Kaechele <heffer@fedoraproject.org> - 20100529-1
- added several descriptor IDs
- typo in help text fixed
- updated Astra 1E/1G/3A
- updated Hispasat 1C/1D
- zero pids fix
- added Telstar 5 S97W0
- New: ATSC channel syntax for VDR-1.7.14
- New: DVB-C symbol rates 5156, 4583 

* Mon Jan 18 2010 Felix Kaechele <heffer@fedoraproject.org> - 20091230-1
- DVB-T UK: 8k tm mode
- allow any DVB 5.x API
- fixes compiler warnings
- update S28E2

* Mon Oct 12 2009 Felix Kaechele <heffer@fedoraproject.org> - 20090918-1
- new upstream release

* Sat Aug 08 2009 Felix Kaechele <heffer@fedoraproject.org> - 20090808-1
- fixes 513871

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090528-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Felix Kaechele <heffer@fedoraproject.org> - 20090528-2
- added dos2unix BuildReq

* Sat Jun 20 2009 Felix Kaechele <heffer@fedoraproject.org> - 20090528-1
- new upstream version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20081106-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Felix Kaechele <heffer@fedoraproject.org> - 20081106-1
- Initial build
